//公共效果
$(function(){
		//复选框--------------
		$(".check_yes,.check_no").click(function(){ 
			  if($(this).is(".check_yes")){
			    
				$(this).removeClass("check_yes");
				$(this).addClass("check_no"); 
			  
			  }
			  
			  else{
				 
				  
					$(this).removeClass("check_no");
			        $(this).addClass("check_yes");
				  }
		      
			  
		 });
		 
		 
		 //单选
		$(".radio_yes,.radio_no").click(function(){ 
			  /*
			  if($(this).is(".radio_yes")){
			    
				$(this).removeClass("radio_yes");
				$(this).addClass("radio_no"); 
			  
			  }
			  */
			  if($(this).is(".radio_no")){
					var obj=  $(".radio_yes");
					obj.removeClass("radio_yes");          
					obj.addClass("radio_no"); 
					$(this).removeClass("radio_no");
			        $(this).addClass("radio_yes");
					 
			}
		      
			  
		 })
		 
		  
		 
		 //调用展开收缩
		 autotoggle("showhide","SHcon","icon_stretch","icon_shrinkage");
		
		
		//任务池经过显示信息
		
		$(".sliding_b_r").hover(function(e){var left = $(this).offset().left;
			var top = $(this).offset().top+$(this).height();
			$("#sliOpen").css({"display":"block","left":left,"top":top});
			e.stopPropagation();},function(){$("#sliOpen").hide()});
			
	    
 
	 
		
		
		//切换块1 
		$(".divHide").not(".divHide:first").hide();
		$(".tab_style").find("span").click(function(){
			$(".tab_style").find("span").attr("class","tab_normal");
			$(this).attr("class","tab_cur");
			$(".divHide").hide();
			$("#divTab"+$(this).attr("id").charAt(0)).show();
		});
		
		
	 
		 
		 
		 
		
		$(".select").hover( function () {
			$(this).addClass("sel_over");
		},function () {
			$(this).removeClass("sel_over");
		}).on('click',function(){
			var _this = $(this),
				_bthis = $(this).find(".sel_list");
			if ( _this.attr('isopen') ) {
				_bthis.slideUp(0 , function(){
					_this.removeAttr('isopen');
				});			
			} else {
				_bthis.slideDown(0,function(){
					_this.attr('isopen',"1");
				});	
			}
		}).on('mouseleave',function(){
			var _thisa = $(this).find(".sel_list"),
				_this = $(this);
			_thisa.hide();
			_this.removeAttr('isopen');
		}),$(this).find(".sel_list li").hover( function (){
			$(this).addClass("sel_hov");		
		},function (){
			$(this).removeClass("sel_hov");	
		}).on('click',function(){
			var _this = $(this).html();
			
			var _thisText = $(this).closest(".select").find(".sel_text");
			_thisText.html(_this);
			
		})
	 
	 
	 
	 
	  
	   //初审频道底下弹出筛选样式  
	   $(".cs_bot_open a:last").addClass("cs_bot_last");
	 

});
 
 


// 显示引藏块公用
 function autotoggle(flagid,divid,upclass,downclass,total){
	 if(total){
		for(var i=1;i<=total*1;i++){
			$("#"+flagid+""+i).addClass("flag_id_cla");
		}
	 }
	$(".flag_id_cla").click(function(){
		if($(this).is("."+upclass)){
			$(this).removeClass(upclass);
			$(this).addClass(downclass);
			var id = $(this).attr("id");
			id = id.substring(flagid.length);
			$("#"+divid+id).slideToggle();
		}else{
			var id = $("."+upclass).attr("id");
			if(id){
				id = id.substring(flagid.length);
				var obj = $("."+upclass);
				obj.removeClass(upclass);
				obj.addClass(downclass);
				$("#"+divid+id).hide();
			}
			$(this).removeClass(downclass);
			$(this).addClass(upclass);
			id = $(this).attr("id");
			id = id.substring(flagid.length);
			$("#"+divid+id).slideToggle();
		}
	});
 }

 
 
 
 
// 弹出层调用 
 
function showDiv(id,e){
  $.openPopupLayer({
		name: id,
		target: id
	});
  
  }
  
function closeDiv(id){
  $.closePopupLayer(id);
  }
  












//鼠标经过显示隐藏弹出小层
function createBg(){
	if($("#lock_click_bg").is(".lock_click_bg")){
		$("#lock_click_bg").show();
	}else{
		$("body").append("<div id='lock_click_bg' class='lock_click_bg' style='position:absolute;left: 0px; top: 0px;display:none'></div>");
		$("#lock_click_bg").show();
		var lock = $("#lock_click_bg");
		var height = $(document).height();
		var width = $(document).width();
		lock.css("height", height);
		lock.css("width", width);
		lock.css("background","#000");
		lock.css("opacity", 0);
		lock.css("z-index",100);
	}
}



function showLockDialog(id){
	$("#"+id).css({"display":"block","z-index":101});
	createBg();
	$("#lock_click_bg").unbind();
	$("#lock_click_bg").bind("click",function(){$("#lock_click_bg").hide();$("#"+id).hide()});
}  
  
  
  

//初审底部点击弹出
function showBotOpen(id,obj){
	
		createBg();
		var left = $(obj).offset().left;
		var top = $(obj).offset().top-$("#"+id).height()-10;
		$("#"+id).css({"display":"block","left":left,"top":top});
		
		$("#lock_click_bg").unbind();
		$("#lock_click_bg").bind("click",function(){$("#lock_click_bg").hide();$("#"+id).hide()});
	
}    
  
Date.prototype.format = function (format) {
    var o = {
        "M+": this.getMonth() + 1,
        "d+": this.getDate(),
        "h+": this.getHours(),
        "m+": this.getMinutes(),
        "s+": this.getSeconds(),
        "q+": Math.floor((this.getMonth() + 3) / 3),
        "S": this.getMilliseconds()
    }
    if (/(y+)/.test(format)) {
        format = format.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
    }
    for (var k in o) {
        if (new RegExp("(" + k + ")").test(format)) {
            format = format.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k] : ("00" + o[k]).substr(("" + o[k]).length));
        }
    }
    return format;
}

//用来得到url地址里面的参数
function getParam(paras) {
	var url = location.href;
	url = url.charAt(url.length-1)=="#"?url.substring(0,url.length-1):url;
	var paraString = url.substring(url.indexOf("?") + 1, url.length).split("&");
	var paraObj = {};
	for (i = 0; j = paraString[i]; i++) {
		paraObj[j.substring(0, j.indexOf("=")).toLowerCase()] = j.substring(j
				.indexOf("=") + 1, j.length);
	}
	var returnValue = paraObj[paras.toLowerCase()];
	if (typeof (returnValue) == "undefined") {
		return "";
	} else {
		return returnValue;
	}
}